| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLNetAccessor Class Reference

Inheritance diagram for XMLNetAccessor:

[legend]
List of all members.

## Public Member Functions

virtual | ~XMLNetAccessor ()
virtual const XMLCh * | getId () const =0
virtual BinInputStream * | makeNew (const XMLURL &urlSrc, const XMLNetHTTPInfo *httpInfo=0)=0

## Protected Member Functions

| XMLNetAccessor ()

## Constructor & Destructor Documentation

virtual XMLNetAccessor::~XMLNetAccessor | ( |  | ) | `[virtual]`

XMLNetAccessor::XMLNetAccessor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const XMLCh* XMLNetAccessor::getId | ( |  | ) | const`[pure virtual]`

virtual BinInputStream* XMLNetAccessor::makeNew | ( | const XMLURL & | urlSrc,
|  | const XMLNetHTTPInfo * | httpInfo = `0`
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.